package com.ruoyi.mall.domain.Chat;

import lombok.Data;

/**
 * 请求体  用于请求百度千帆
 */
public class BaiduAppRequest {

    private String app_id;

    private String query;

    private boolean stream;

    private String conversation_id;

    public BaiduAppRequest(String app_id, String query, String conversation_id) {
        this.app_id = app_id;
        this.query = query;
        this.conversation_id = conversation_id;
    }

    public String getApp_id() {
        return app_id;
    }

    public void setApp_id(String app_id) {
        this.app_id = app_id;
    }

    public String getQuery() {
        return query;
    }

    public void setQuery(String query) {
        this.query = query;
    }

    public boolean isStream() {
        return stream;
    }

    public void setStream(boolean stream) {
        this.stream = stream;
    }

    public String getConversation_id() {
        return conversation_id;
    }

    public void setConversation_id(String conversation_id) {
        this.conversation_id = conversation_id;
    }

    @Override
    public String toString() {
        return "BaiduAppRequest{" +
                "app_id='" + app_id + '\'' +
                ", query='" + query + '\'' +
                ", stream=" + stream +
                ", conversation_id='" + conversation_id + '\'' +
                '}';
    }
}

